<?php

declare(strict_types=1);

namespace Dedi\SyliusBlogPlugin\Form;

use Dedi\SyliusBlogPlugin\Entity\BlogConfigurationTranslation;
use FOS\CKEditorBundle\Form\Type\CKEditorType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class BlogConfigurationTranslationType extends AbstractReferableTranslationType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        parent::buildForm($builder, $options);

        $builder
            ->add('title', TextType::class, [
                'label' => 'dedi_blog.form.configuration.title',
                'required' => false,
            ])
            ->add('description', CKEditorType::class, [
                'label' => 'dedi_blog.form.configuration.description',
                'required' => false,
            ])
        ;
    }

    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults([
            'data_class' => BlogConfigurationTranslation::class,
            'validation_groups' => ['default', 'sylius'],
        ]);
    }
}
